<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
</head>
<body>
<?php
error_reporting(0);
if(!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {
    exit();
}
$error      = $_GET["error"];
$rdanceName = $_GET["rdanceName"];
$rUrl       = $_GET["rUrl"];
$rsiz       = $_GET["rsiz"];
$rmd5       = $_GET["rmd5"];
$rfrom      = "qiniu";
$ruid       = "0";
$Playtime   = "00:00";
$Bitkbps    = "320";
$rServer    = $_GET["rServer"];
if($error=="1") {
    echo "<script>alert('抱歉，您没有权限进行此操作！');history.back();</script>";
} elseif($error=="2") {
    echo "<script>alert('抱歉，请先登录后操作！');history.back();</script>";
} elseif($error=="3") {
    echo "<script>alert('抱歉，无法转移文件到upload/video/目录！');history.back();</script>";
} elseif($error=="4") {
    echo "<script>alert('抱歉，请上传被允许的文件格式！');history.back();</script>";
} elseif($rUrl=="undefined") {
    echo "<script>alert('抱歉，文件上传出错，请重新上传。');history.back();</script>";
} else {
    echo "
<script type=\"text/javascript\">
window.parent.parent.document.form.rUrl.value='$rUrl';
window.parent.parent.document.form.rsiz.value='$rsiz';
window.parent.parent.document.form.rmd5.value='$rmd5';
window.parent.parent.document.form.rfrom.value='$rfrom';
window.parent.parent.document.form.ruid.value='$ruid';
window.parent.parent.document.form.Playtime.value='$Playtime';
window.parent.parent.document.form.Bitkbps.value='$Bitkbps';
window.parent.parent.document.form.rServer.value='$rServer';
window.close()
this.parent.$.tipMessage('恭喜，文件上传成功！', 0, 2000);
this.parent.layer.closeAll();
</script>
";
}
?>
</body>
</html>